head	1.5;
access;
symbols
	REL-07_03_ENHANCED:1.3.0.4
	REL-08_00_0103:1.3
	REL-08_01_0003:1.4
	REL-08_00_0102:1.3
	REL-08_01_0002:1.4
	REL-08_01_0001:1.4
	PRE_LIBPQ:1.3.0.2
	REL-08_00_0101:1.3
	REL-08_00_0100:1.3
	REL-08_00_0005:1.3
	REL-08_00_0004:1.3
	REL-08_00_0002:1.3
	REL-08_00_0001:1.3
	REL-07_03_0209:1.3
	REL-07_03_0200:1.3
	REL-07_03_0100:1.3
	REL-07_02_0005:1.3
	REL-07_02_0004:1.3
	REL-07_02_0003:1.1;
locks; strict;
comment	@# @;


1.5
date	2005.08.27.20.14.55;	author dpage;	state dead;
branches;
next	1.4;

1.4
date	2005.07.13.14.23.34;	author dpage;	state Exp;
branches;
next	1.3;

1.3
date	2002.11.07.10.24.33;	author hinoue;	state Exp;
branches
	1.3.4.1;
next	1.2;

1.2
date	2002.10.16.08.57.15;	author dpage;	state Exp;
branches;
next	1.1;

1.1
date	2002.10.03.07.44.42;	author dpage;	state Exp;
branches;
next	;

1.3.4.1
date	2006.01.06.21.36.58;	author dpage;	state dead;
branches;
next	;


desc
@@


1.5
log
@Further documentation updates
@
text
@psqlODBC README for *nix Systems
================================

Since psqlODBC has be moved from the main PostgreSQL source tree, we have yet
to create a new build system for the driver. Peter Eisentraut was kind enough
provide a build environment for us which is now included in psqlODBC tarballs.

Installation
============

To install, just  try something like:

% tar -zxvf psqlodbc-7.2.3.tar.gz
% cd postgresql-7.2.3
% ./configure
% make
% make install

The configure script will accept the following useful options:

--with-iodbc
--with-unixodbc
--with-odbcinst=DIR
--with-libpq	(build a libpq enabled version of psqlodbc. default = yes)
--with-pgsql-include=DIR  (Look for postgreSQL include files in DIR if libpq is enabled)
--with-pgsql=DIR        (look for PostgreSQL libraries and headers in DIR if libpq is enabled)
--enable-pthreads (thread-safe driver on some platforms)
--help

Building a distribution
=======================

The following text is Peter's instructions for using the build environment and
is only relevant to psqlODBC developers.

From: Peter Eisentraut [peter_e@@gmx.net]
Sent: 07 October 2002 20:24
To: pgsql-odbc@@postgresql.org
Subject: [ODBC] Unix build

I managed to find a Libtool version that works, so here's the
independent build infrastructure for ODBC on Unix.

The patch also removes all the non-multibyte code.  This goes together
with the build system change, because there no longer is a way to turn
on multibyte explicitly.  You should make the required changes to the
Windows build files.

The following files need to be checked into CVS: configure.ac and
Makefile.am.  GNUmakefile can be removed.  I recommend that you do not
check in all the files generated by auto* (see below).  It can get
pretty messy to keep track of them.

* Prerequisites

Autoconf 2.52 or higher
Automake 1.6.* (Lower versions are rejected, version 1.7 untested.)
Libtool 1.4.2a (CVS from stable branch, maybe 1.4.2 works as well)
PostgreSQL source tree (7.3 branch)

* Bootstrapping

First, copy libtool.m4 into source directory.  Be sure to pick the one
from the right Libtool version.  Then run

aclocal -I . -I $PGSRC/config
libtoolize --force --copy
autoconf
autoheader
automake --add-missing --copy

You can run 'make maintainer-clean' to remove all the files this generates.

* Building

./configure
make
make install

configure has the same options that the PostgreSQL configure used to
have for ODBC, namely --with-iodbc, --with-unixodbc, and
--with-odbcinst=DIR.

* Version Number

The previous build infrastructure set a shared library version number
of 0.27.  I've used this as a package version number, but it does not
correspond to version.h in any way.  This needs to be thought out.

* Making a Source Distribution

'make dist' makes a file psqlodbc-0.27.tar.gz.  It's even better to
use 'make distcheck', which runs a number of tests to see if the
distribution is internally consistent.

The distribution does not contain any Windows-specific files (*.def,
maybe others).  If it is desired to include them, edit Makefile.am.

@


1.4
log
@New version of the driver with libpq based comms layer, courtesy of Anoop Kumar of Pervasive PostgreSQL. Version number bumped, and extra strings modified in the resource file to make it obvious when the libpq version of the driver is being run.
@
text
@@


1.3
log
@Thread safe driver is available on some platforms.
@
text
@d24 3
@


1.3.4.1
log
@Add a new branch of the psqlODBC code as supplied by Hiroshi Inoue and Hiroshi Saito. This branch adds protocol v3 support, as well as SSL and various other new features to the 07.03 version of the driver.

This is unsupported code, developed outside of the project and without it's knowledge and is provided for convenience of the community thanks to Inoue-san and Saito-san.
@
text
@@


1.2
log
@Updated README.unix for new build environment.
@
text
@d24 1
@


1.1
log
@Added unix build instructions.
@
text
@d5 89
a93 5
to create a new build system for the driver. Currently, in order to build under
*nix systems, it is recommended that you copy the files in this directory to
src/interfaces/odbc in your PostgreSQL source tree, then re-run configure with
the required options from the top of the tree. The driver can then be built
using make as per normal.
@

